### File

`modules/firebase-connector/src/authMethods/password.ts`

### Constructor

`constructor(firebase: any)`

### Methods

login
`login(email: any, password: any)`
Returns: `void`

### Properties

name
`name: `string` </bcode>`
Default value: `Password`

    import {AuthMethods, AuthProviders, AngularFire, FirebaseAuthState} from "angularfire2";
    import {AuthMethod} from "./auth-method";
    import {Injectable} from "@angular/core";
    @Injectable()
    export class PasswordAuth implements AuthMethod{

      name: string = 'Password';

      constructor(private firebase: AngularFire){
      }

      login(email, password){
        return this.firebase.auth.login(
          {
            email: email,
            password: password
          },
          {
            provider: AuthProviders.Password,
            method: AuthMethods.Password
          }
        );
      }
    }

# results matching ""

# No results matching ""